# List brand kit subsections with pagination

Retrieves a paginated list of subsections (fields) in a specific brand kit section, including any associated reference data linked to those fields.

Endpoint: GET /api/brands/v3/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields
Version: v1.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `organizationId` (string, required)
    The unique identifier of your organization.

 To get this value, in the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL, the `organizationId` comes after `organization=` .

  - `brandkitId` (string, required)
    The unique identifier of your brand kit.

 To get this value, use the [List brand kits](#operation/list_brand_kits) endpoint  to return the `id` of each brand kit in your organization. This is the same `id` returned when you create a brand kit using the [Create a brand kit](#operation/create_brand_kit) endpoint.

 Alternatively, you can open your brand kit in Stream. In the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL,  `brandkitId` comes after `brandkits/`.

  - `sectionId` (string, required)
    The unique identifier of your brand kit section.

 To get this value, use the [List brand kit sections](#operation/list_brand_kit_sections) endpoint. The `id` in the response is the section ID.

## Query parameters:

  - `pageNumber` (integer)

  - `pageSize` (integer)

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `totalCount` (integer, required)

  - `pageNumber` (integer, required)

  - `pageSize` (integer, required)

  - `data` (array, required)

  - `data.id` (string, required)
    The unique identifier of the brand kit subsection.
    Example: b2f2e1a1-295d-4d40-88f2-93bf545bb878

  - `data.name` (string, required)
    The name of the brand kit subsection.
    Example: Brand purpose

  - `data.type` (string, required)
    The type of brand kit subsection.
    Enum: "text", "array", "richArray"

  - `data.order` (any)
    The order the subsection appears in the brand kit section. For example, if it is the first subsection,  `order` is `1`.
    Example: 1

  - `data.value` (any)
    The content of the subsection. This can be a string, object, or array depending on the type of content in the subsection.
    Example: The core purpose is to fuel the potential of active individuals with clean, nutrient-dense energy solutions.

  - `data.intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `data.references` (any)
    The brand documents the AI referenced to generate content for this subsection.
    Example: []

  - `data.references.id` (string, required)
    The unique identifier of the reference document.
    Example: 2ad5c154-6404-49ed-9ffc-0603c360a5af

  - `data.references.path` (string, required)
    The location of the reference.
    Example: /path

  - `data.references.type` (string, required)
    The type of reference used.
    Example: document

  - `data.deletable` (any)
    Whether the subsection can be deleted.
    Example: false

  - `data.verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `data.createdOn` (any)
    The date and time when the subsection was created, formatted in ISO 8601.
    Example: 2026-06-18T12:46:12.718310Z

  - `data.createdBy` (any)
    The user who created the subsection.
    Example: mman

  - `data.updatedOn` (any)
    The date and time when the subsection was last updated, formatted in ISO 8601.
    Example: 2026-06-18T12:46:12.718310Z

  - `data.updatedBy` (any)
    The user who last updated the subsection.
    Example: mman

  - `data.aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content value when brand documents are reprocessed.
    Example: true

  - `data.properties` (any)
    Additional properties for the subsection.
    Example: {}

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

